Config.MemtableAllocationType (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.config

## Enum Config.MemtableAllocationType

- java.lang.Object
- - java.lang.Enum<Config.MemtableAllocationType>
  - - org.apache.cassandra.config.Config.MemtableAllocationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Config.MemtableAllocationType>
  Enclosing class:
    Config

      public static enum Config.MemtableAllocationType
      extends java.lang.Enum<Config.MemtableAllocationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `heap_buffers`
    `offheap_buffers`
    `offheap_objects`
    `unslabbed_heap_buffers`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Config.MemtableAllocationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Config.MemtableAllocationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### unslabbed_heap_buffers

          public static final Config.MemtableAllocationType unslabbed_heap_buffers

    - #### heap_buffers

          public static final Config.MemtableAllocationType heap_buffers

    - #### offheap_buffers

          public static final Config.MemtableAllocationType offheap_buffers

    - #### offheap_objects

          public static final Config.MemtableAllocationType offheap_objects

  - ### Method Detail

    - #### values

          public static Config.MemtableAllocationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Config.MemtableAllocationType c : Config.MemtableAllocationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Config.MemtableAllocationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation